ISATTY(P)

NAME
isatty - test for a terminal device

SYNOPSIS

#include <unistd.h>

int isatty(int fildes);

DESCRIPTION

The isatty() function shall test whether fildes, an open file descriptor, is associated with a terminal device.

RETURN VALUE

The isatty() function shall return 1 if fildes is associated with a terminal; otherwise, it shall return 0 and may set errno to indicate the error.

ERRORS

The isatty() function may fail if:

EBADF
    The fildes argument is not a valid open file descriptor.

ENOTTY
    The fildes argument is not associated with a terminal.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

The isatty() function does not necessarily indicate that a human being is available for interaction via fildes. It is quite possible that non-terminal devices are connected to the communications line.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

The Base Definitions volume of IEEE Std 1003.1-2001, <unistd.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .